#
# Conditional build:
%bcond_with	native	# build native library (needs as-needed fix)
#
Summary:	Documentation generation framework for Java source files
Summary(pl.UTF-8):	Szkielet do generowania dokumentacji dla plików źródłowych w Javie
Name:		gjdoc
Version:	0.7.9
Release:	3
License:	GPL v2+
Group:		Development/Languages/Java
Source0:	http://ftp.gnu.org/gnu/classpath/%{name}-%{version}.tar.gz
# Source0-md5:	24cade2efe22d5adefcbabb21f094803
Patch0:		%{name}-info.patch
Patch1:		%{name}-launcher.patch
URL:		http://www.gnu.org/software/classpath/cp-tools/
BuildRequires:	antlr >= 2.7.5-3
# Some versions of gcj are known to produce bad bytecode.
# At least bug 19921 is known to affect gjdoc (in Feb 2005).
BuildRequires:	gcc-java >= 5:4.0.0-0.20050416.1
BuildRequires:	texinfo
Requires:	jpackage-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gjdoc is a documentation framework for generating documentation in
various formats from Java source files. It is both a drop-in
replacement for the traditional command line tool `javadoc' and
provides an interface for inspection of and generation of different
output for Java source packages, classes, methods and fields.

Gjdoc's current version implements all features of the traditional
javadoc tool up to version 1.4. With the exception of two
unimplemented options (-nocomment and -serialwarn) it should be fully
command-line compatible, and it provides a compatible Doclet API
(com.sun.javadoc).

However, in contrast to Javadoc, `gjdoc' does not perfom syntax
checking on the supplied sources. If necessary, use a real compiler
like `gcj -fsyntax-only` or `jikes +B' for checking the sources
beforehand.

%description -l pl.UTF-8
gjdoc to szkielet służący do generowania dokumentacji w różnych
formatach z plików źródłowych w Javie. Jest to zarówno zamiennik
tradycyjnego polecenia javadoc, jak i interfejs do inspekcji i
generowania różnych formatów wyjściowych dla pakietów źródłowych,
klas, metod i pól w Javie.

Aktualna wersja gjdoc implementuje wszystkie możliwości tradycyjnego
narzędzia javadoc do wersji 1.4. Z wyjątkiem dwóch nieudokumentowanych
opcji (-nocomment i -serialwarn) powinna być w pełni zgodna co do
linii poleceń i dostarcza kompatybilne Doclet API (com.sun.javadoc).

Jednak, w porównaniu do Javadoc, gjdoc nie sprawdza składni źródeł. W
razie potrzeby źródła można sprawdzić przedtem prawdziwym
kompilatorem, np. "gcj -fsyntax-only" lub "jikes +B".

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
	GCJFLAGS="%{rpmcflags}" \
	--with-antlr-jar=%{_javadir}/antlr.jar \
	--%{?with_native:en}%{!?with_native:dis}able-native \
	--enable-shared \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{?with_native:/sbin/ldconfig}
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
%{?with_native:/sbin/ldconfig}
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gjdoc
%if %{with native}
%attr(755,root,root) %{_libdir}/lib-com-sun-javadoc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/lib-com-sun-javadoc.so.0
%attr(755,root,root) %{_libdir}/lib-com-sun-tools-doclets-Taglet.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/lib-com-sun-tools-doclets-Taglet.so.0
%attr(755,root,root) %{_libdir}/lib-gnu-classpath-tools-gjdoc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/lib-gnu-classpath-tools-gjdoc.so.0
%endif
%{_infodir}/gjdoc.info*
%{_javadir}/com-sun-javadoc-%{version}.jar
%{_javadir}/com-sun-tools-doclets-Taglet-%{version}.jar
%{_javadir}/gnu-classpath-tools-gjdoc-%{version}.jar
%{_mandir}/man1/gjdoc.1*
%changelog
* Tue Feb 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gjdoc.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> e9a2809
- x32 rebuild
- release 3 (by relup.sh)

* Sun Jan 04 2015 Jan Rękorajski <baggins@pld-linux.org> 5f52ecd
- fixes for building with texinfo 5

* Wed Feb 25 2009 pawelz <pawelz@pld-linux.org> ff55e2f
- added patch1 (set SHELL in gjdoc wrapper script)
- rel 2

* Wed Feb 25 2009 pawelz <pawelz@pld-linux.org> 212c60e
- sets SHELL variable if it is not set.
- now we don't have to set SHELL in spec files before javadoc

* Mon Jul 21 2008 Jakub Bogusz <qboosh@pld-linux.org> d5a83b7
- updated to 0.7.9
- run ldconfig only if with native

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 8e82dae
- unify ftp.gnu.org urls

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> 7a3bce6
- R: jpackage-utils for %{_javadir}

* Wed May 23 2007 Jakub Bogusz <qboosh@pld-linux.org> 959644f
- updated to 0.7.8

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cd613bc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5b0a149
- converted to UTF-8

* Mon Feb 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 4bc5106
- bcond desc

* Sat Feb 03 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d491132
- disable native for now (doesn't build with it)

* Fri Jan 05 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 874557d
- rel 3

* Sat Nov 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 43e20cb
- rel 2

* Mon Jan 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 6a861c5
- added info patch
- pass GCJFLAGS (=rpmcflags)

* Mon Jan 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 6b8ede2
- fix+unify direntry

* Thu Dec 22 2005 Paweł Sikora <pluto@pld-linux.org> 4cbf066
- updated to 0.7.7.

* Sun Nov 27 2005 Paweł Sikora <pluto@pld-linux.org> b4c7c0a
- builds on ppc, release 1.

* Sun Nov 27 2005 Paweł Sikora <pluto@pld-linux.org> e181f5a
- updated to 0.7.6.

* Sat Jun 11 2005 Paweł Sikora <pluto@pld-linux.org> 744cfe2
- updated to 0.7.5, release 0.1.

